#include <stdint.h>
#include <stdio.h>

#include "devices.h"
#include "instruments.h"
#include "drv_instrument.h"
#include "drv_dac.h"

#define DAC_CHAN_X 0
#define DAC_CHAN_Y 1

dac_t *dac;
instrument_t *ctlpanel;

void init() {
    dac = dac_open(DAC_1);
    ctlpanel = instrument_open(CTLPANEL);
}

void main() {
    init();
    uint32_t v;
    for (;;) {
        v = instrument_get_value(ctlpanel,CTLPANEL_XIN);
        instrument_set_value(ctlpanel,CTLPANEL_XOUT,v);
        dac_write(dac,DAC_CHAN_X,v,false);
        v = instrument_get_value(ctlpanel,CTLPANEL_YIN);
        instrument_set_value(ctlpanel,CTLPANEL_YOUT,v);
        dac_write(dac,DAC_CHAN_Y,v,true);
    }
}

